﻿using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using System.Linq;
using System.Text;

namespace Export_WebGrid_Word_MVC_Core.Controllers
{
    public class HomeController : Controller
    {
        private DBCtx Context { get; }

        public HomeController(DBCtx _context)
        {
            this.Context = _context;
        }

        public IActionResult Index()
        {
            return View(this.Context.Customers.Take(10).ToList());
        }

        [HttpPost]
        public FileResult Export(string GridHtml)
        {
            return File(Encoding.UTF8.GetBytes(GridHtml), "application/vnd.ms-word", "Grid.doc");
        }
    }
}